diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/adns/reply.c ircby-0.5-RC3/adns/reply.c
--- ircd-hybrid-7.0.1/adns/reply.c	Fri May 24 19:34:01 2002
+++ ircby-0.5-RC3/adns/reply.c	Tue Mar 30 11:04:24 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: reply.c,v 1.8 2002/05/24 23:34:01 androsyn Exp $
+ * $Id: reply.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/adns/setup.c ircby-0.5-RC3/adns/setup.c
--- ircd-hybrid-7.0.1/adns/setup.c	Sat May 25 02:52:49 2002
+++ ircby-0.5-RC3/adns/setup.c	Tue Mar 30 11:04:24 2004
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: setup.c,v 1.27 2002/05/25 06:52:49 androsyn Exp $
+ * $Id: setup.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/adns/transmit.c ircby-0.5-RC3/adns/transmit.c
--- ircd-hybrid-7.0.1/adns/transmit.c	Sat Jun  1 01:28:03 2002
+++ ircby-0.5-RC3/adns/transmit.c	Tue Mar 30 11:04:24 2004
@@ -25,7 +25,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: transmit.c,v 1.11 2002/06/01 05:28:03 androsyn Exp $
+ * $Id: transmit.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/adns/tvarith.h ircby-0.5-RC3/adns/tvarith.h
--- ircd-hybrid-7.0.1/adns/tvarith.h	Fri Apr  6 05:30:37 2001
+++ ircby-0.5-RC3/adns/tvarith.h	Tue Mar 30 11:04:24 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
- * $Id: tvarith.h,v 1.3 2001/04/06 09:30:37 a1kmm Exp $
+ * $Id: tvarith.h,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #ifndef ADNS_TVARITH_H_INCLUDED
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/adns/types.c ircby-0.5-RC3/adns/types.c
--- ircd-hybrid-7.0.1/adns/types.c	Tue Oct 29 21:56:17 2002
+++ ircby-0.5-RC3/adns/types.c	Tue Mar 30 11:04:24 2004
@@ -24,7 +24,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: types.c,v 1.7 2002/10/30 02:56:17 androsyn Exp $
+ * $Id: types.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/autoconf/acconfig.h ircby-0.5-RC3/autoconf/acconfig.h
--- ircd-hybrid-7.0.1/autoconf/acconfig.h	Sat Feb 15 11:32:42 2003
+++ ircby-0.5-RC3/autoconf/acconfig.h	Tue Mar 30 11:04:24 2004
@@ -1,5 +1,5 @@
 /*
- * $Id: acconfig.h,v 7.25 2003/02/15 16:32:42 lusky Exp $
+ * $Id: acconfig.h,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* Define if you have the poll() system call.  */
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/autoconf/configure.in ircby-0.5-RC3/autoconf/configure.in
--- ircd-hybrid-7.0.1/autoconf/configure.in	Sat May 31 03:30:23 2003
+++ ircby-0.5-RC3/autoconf/configure.in	Tue Mar 30 11:04:24 2004
@@ -1,4 +1,4 @@
-dnl $Id: configure.in,v 7.150.2.2 2003/05/31 07:30:23 lusky Exp $
+dnl $Id: configure.in,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl AC_INIT(include/class.h) <- what is this ? -TimeMr14C
 
@@ -755,9 +755,10 @@
   esac
 ])
 
-ac_cv_nicklen="9"
-ac_cv_maxclients="200"
-ac_cv_topiclen="120"
+ac_cv_nicklen="30"
+ac_cv_maxclients="500"
+ac_cv_topiclen="300"
+
 
 dnl Nicklen
 AC_ARG_WITH(nicklen,
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/autoconf/install-sh ircby-0.5-RC3/autoconf/install-sh
--- ircd-hybrid-7.0.1/autoconf/install-sh	Wed Aug 25 23:36:21 1999
+++ ircby-0.5-RC3/autoconf/install-sh	Tue Mar 30 11:04:24 2004
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Id: install-sh,v 7.1 1999/08/26 03:36:21 lusky Exp $
+# $Id: install-sh,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
 #
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/clean.com ircby-0.5-RC3/clean.com
--- ircd-hybrid-7.0.1/clean.com	Tue Feb  5 22:37:52 2002
+++ ircby-0.5-RC3/clean.com	Tue Mar 30 11:04:24 2004
@@ -1,4 +1,4 @@
-$! $Id: clean.com,v 1.1 2002/02/06 03:37:52 ejb Exp $
+$! $Id: clean.com,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 $! yes, its a hack. this needs to be merged into make.com.
 $! (well, really, into a top-level descrip.mms.. one day).
 $
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/README ircby-0.5-RC3/contrib/README
--- ircd-hybrid-7.0.1/contrib/README	Fri Jan 24 22:41:44 2003
+++ ircby-0.5-RC3/contrib/README	Tue Mar 30 11:04:24 2004
@@ -1,4 +1,4 @@
-$Id: README,v 1.25 2003/01/25 03:41:44 lusky Exp $
+$Id: README,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 
 This directory contains modules and patches that have been contributed
 by other people, or aren't suitable for including into the 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/README.disable_identd ircby-0.5-RC3/contrib/README.disable_identd
--- ircd-hybrid-7.0.1/contrib/README.disable_identd	Sun Jul  7 20:10:32 2002
+++ ircby-0.5-RC3/contrib/README.disable_identd	Tue Mar 30 11:04:24 2004
@@ -1,4 +1,4 @@
-# $Id: README.disable_identd,v 1.1 2002/07/08 00:10:32 androsyn Exp $
+# $Id: README.disable_identd,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 #
 This diff adds a config option to the general {} block called disable_auth
 to hybrid 7.  To disable identd requests add something like this to your
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/challenge.irc ircby-0.5-RC3/contrib/challenge.irc
--- ircd-hybrid-7.0.1/contrib/challenge.irc	Sun Dec 29 16:42:47 2002
+++ ircby-0.5-RC3/contrib/challenge.irc	Tue Mar 30 11:04:24 2004
@@ -1,5 +1,5 @@
 /*
- * $Id: challenge.irc,v 1.1 2002/12/29 21:42:47 gregp Exp $
+ * $Id: challenge.irc,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 
 	CHALLENGE.IRC
 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/example_module.c ircby-0.5-RC3/contrib/example_module.c
--- ircd-hybrid-7.0.1/contrib/example_module.c	Fri May 24 19:48:33 2002
+++ ircby-0.5-RC3/contrib/example_module.c	Tue Mar 30 11:04:24 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: example_module.c,v 1.6 2002/05/24 23:48:33 androsyn Exp $
+ *   $Id: example_module.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -121,7 +121,7 @@
 
 /* When we last modified the file (shown in /modlist), this is usually:
  */
-const char *_version = "$Revision: 1.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/hybrid_services.c ircby-0.5-RC3/contrib/hybrid_services.c
--- ircd-hybrid-7.0.1/contrib/hybrid_services.c	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/contrib/hybrid_services.c	Tue Mar 30 11:04:24 2004
@@ -0,0 +1,331 @@
+/*
+ *  ircd-hybrid: an advanced Internet Relay Chat Daemon(ircd).
+ *  hybrid_services.c: /nickserv, /chanserv, /memoserv, etc. commands, 
+ *                     used for hybrid services (HybServ2) on 
+ *                     CARNet IRC Network.
+ *
+ *  Copyright (C) 2002 by Dragan Dosen and the ircd-hybrid development team
+ *  Based on m_services.c, originally from bahamut ircd.
+ *
+ *  Contact info:
+ *
+ *    E-mail : ddosen@irc.vef.hr
+ *    IRC    : (*) Bane, CARNet IRC Network, irc.vef.hr, #tisina
+ *
+ *  Redistribution and use in source and binary forms, with or without
+ *  modification, are permitted provided that the following conditions are
+ *  met:
+ *
+ *  1.Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer. 
+ *  2.Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution. 
+ *  3.The name of the author may not be used to endorse or promote products
+ *    derived from this software without specific prior written permission. 
+ *
+ *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ *  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ *  DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
+ *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ *  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+ *  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ *  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+ *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ *  POSSIBILITY OF SUCH DAMAGE.
+ *
+ *   $Id: hybrid_services.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
+ */
+
+/* List of ircd includes from ../include/ */
+#include "stdinc.h"
+#include "handlers.h"
+#include "client.h"
+#include "common.h"     /* FALSE bleah */
+#include "ircd.h"
+#include "irc_string.h"
+#include "numeric.h"
+#include "fdlist.h"
+#include "hash.h"
+#include "s_bsd.h"
+#include "s_conf.h"
+#include "s_log.h"
+#include "s_serv.h"
+#include "send.h"
+#include "msg.h"
+#include "parse.h"
+#include "modules.h"
+#include "channel.h"
+#include "channel_mode.h"
+
+
+#define MAXLINE  512    /* don't change this */
+
+/* Prototypes for functions
+ */
+static void m_global(struct Client *client_p, struct Client *source_p,
+                     int parc, char *parv[]);
+static void m_nickserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_chanserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_memoserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_seenserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_operserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_statserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_helpserv(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+static void m_identify(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[]);
+
+/* Structures
+ */
+struct Message global_msgtab = {
+  "GLOBAL", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_global, m_ignore, m_global}
+};
+struct Message nickserv_msgtab = {
+  "NICKSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_nickserv, m_ignore, m_nickserv}
+};
+struct Message chanserv_msgtab = {
+  "CHANSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_chanserv, m_ignore, m_chanserv}
+};
+struct Message memoserv_msgtab = {
+  "MEMOSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_memoserv, m_ignore, m_memoserv}
+};
+struct Message seenserv_msgtab = {
+  "SEENSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_seenserv, m_ignore, m_seenserv}
+};
+struct Message operserv_msgtab = {
+  "OPERSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_operserv, m_ignore, m_operserv}
+};
+struct Message statserv_msgtab = {
+  "STATSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_statserv, m_ignore, m_statserv}
+};
+struct Message helpserv_msgtab = {
+  "HELPSERV", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_helpserv, m_ignore, m_helpserv}
+};
+struct Message identify_msgtab = {
+  "IDENTIFY", 0, 0, 0, 2, MFLG_SLOW, 0,
+  {m_unregistered, m_identify, m_ignore, m_identify}
+};
+
+
+/* Aliases only for NickServ, ChanServ and MemoServ:
+ * /ns, /cs and /ms
+ */
+struct Message ns_msgtab = {
+  "NS", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_nickserv, m_ignore, m_nickserv}
+};
+struct Message cs_msgtab = {
+  "CS", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_chanserv, m_ignore, m_chanserv}
+};
+struct Message ms_msgtab = {
+  "MS", 0, 0, 1, 0, MFLG_SLOW, 0,
+  {m_unregistered, m_memoserv, m_ignore, m_memoserv}
+};
+
+
+#ifndef STATIC_MODULES
+void
+_modinit(void)
+{
+  mod_add_cmd(&global_msgtab);
+  mod_add_cmd(&nickserv_msgtab);
+  mod_add_cmd(&chanserv_msgtab);
+  mod_add_cmd(&memoserv_msgtab);
+  mod_add_cmd(&seenserv_msgtab);
+  mod_add_cmd(&operserv_msgtab);
+  mod_add_cmd(&statserv_msgtab);
+  mod_add_cmd(&helpserv_msgtab);
+  mod_add_cmd(&identify_msgtab);
+
+  mod_add_cmd(&ns_msgtab);
+  mod_add_cmd(&cs_msgtab);
+  mod_add_cmd(&ms_msgtab);
+}
+
+void
+_moddeinit(void)
+{
+  mod_del_cmd(&global_msgtab);
+  mod_del_cmd(&nickserv_msgtab);
+  mod_del_cmd(&chanserv_msgtab);
+  mod_del_cmd(&memoserv_msgtab);
+  mod_del_cmd(&seenserv_msgtab);
+  mod_del_cmd(&operserv_msgtab);
+  mod_del_cmd(&statserv_msgtab);
+  mod_del_cmd(&helpserv_msgtab);
+  mod_del_cmd(&identify_msgtab);
+
+  mod_del_cmd(&ns_msgtab);
+  mod_del_cmd(&cs_msgtab);
+  mod_del_cmd(&ms_msgtab);
+}
+
+char *_version = "$Revision: 1.1.1.1 $";
+#endif
+
+/*
+ * GetString()
+ *
+ * Reverse the array parv back into a normal string assuming there are
+ * 'parc' indices in the array. Space is allocated for the new string.
+ * Thanks to kre.
+ */
+char *GetString(int parc, char *parv[])
+{
+  char *final;
+  char temp[MAXLINE];
+  int ii = 0;
+
+  final = MyMalloc(sizeof(char));
+  *final = '\0';
+
+  while (ii < parc)
+  {
+    ircsprintf(temp, "%s%s", parv[ii], ((ii + 1) >= parc) ? "" : " ");
+    final = MyRealloc(final,  strlen(final) + strlen(temp) +
+        sizeof(char));
+    strcat(final, temp);
+    ++ii;
+  }
+
+  return (final);
+} /* GetString() */
+
+
+/*
+ * m_identify()
+ *
+ * Short identify command.
+ */
+static void m_identify(struct Client *client_p, struct Client *source_p,
+                       int parc, char *parv[])
+{
+  struct Client *acptr;
+
+  if (parc == 3)
+  {
+    acptr = find_person("ChanServ");
+    if (!acptr || IsServer(acptr))
+    {
+      sendto_one(source_p,
+          ":%s NOTICE %s :*** Notice -- Services are currently down. "
+          "Please wait a few moments, and then try again.",
+          me.name, parv[0]);
+      return;
+    }
+    else
+      sendto_one(acptr, ":%s PRIVMSG ChanServ :IDENTIFY %s %s",
+	         parv[0], parv[1], parv[2]);
+  }
+  else
+  if (parc == 2)
+  {
+    acptr = find_person("NickServ");
+    if (!acptr || IsServer(acptr))
+    {
+      sendto_one(source_p,
+          ":%s NOTICE %s :*** Notice -- Services are currently down. "
+          "Please wait a few moments, and then try again.",
+		      me.name, parv[0]);
+      return;
+    }
+    else
+      sendto_one(acptr, ":%s PRIVMSG NickServ :IDENTIFY %s",
+                 parv[0], parv[1]);
+  }
+  else
+  /* WTF? -kre */
+  /* if (parc == 0 || parv[1] == '\0') */
+  {
+    sendto_one(source_p,
+        ":%s NOTICE %s :Syntax:  IDENTIFY <password>            - for nickname",
+               me.name, parv[0]);
+    sendto_one(source_p,
+        ":%s NOTICE %s :Syntax:  IDENTIFY <channel> <password>  - for channel",
+               me.name, parv[0]);
+  }
+
+} /* m_identify() */
+
+
+/*
+ * deliver_services_msg()
+ *
+ *   parv[0]    = sender prefix
+ *   servmsg    = message for services (using GetString() function).
+ *                I think this is better. -ddosen
+ */
+static void deliver_services_msg(char *service, char *command, struct
+    Client *client_p, struct Client *source_p, int parc, char *parv[])
+{
+  struct Client *acptr;
+  char *servmsg;
+
+  /* first of all, make sure the nick is online.
+   */
+  acptr = find_client(service);
+
+  if (!acptr || IsServer(acptr))
+  {
+    sendto_one(source_p,
+        ":%s NOTICE %s :*** Notice -- Services are currently down. "
+        "Please wait a few moments, and then try again.",
+        me.name, parv[0]);
+  }
+  else 
+  {
+    if (parc == 1 || parv[1] == '\0')
+    {
+      sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS), me.name, parv[0],
+          command);
+      return;
+    }
+
+    servmsg = GetString(parc - 1, parv + 1);
+
+    /* deliver the message.
+     * now, it's more secure (using user@host)
+     */
+    sendto_one(acptr, ":%s PRIVMSG %s :%s", parv[0], acptr->name,
+        servmsg);
+    }
+} /* deliver_services_msg() */
+
+
+/* SERV_FUNC
+ * Macro for generating service's function.
+ */
+#define SERV_FUNC(a,b,c) static void a (struct Client *client_p, struct \
+    Client *source_p, int parc, char *parv[]) \
+{ return deliver_services_msg (b, c, client_p, source_p, parc, parv); }
+
+/* let's generate :-)
+ *
+ * Fields are:  function_name, services nickname, command name
+ */
+SERV_FUNC(m_global, "Global", "GLOBAL")
+SERV_FUNC(m_nickserv, "NickServ", "NICKSERV")
+SERV_FUNC(m_chanserv, "ChanServ", "CHANSERV")
+SERV_FUNC(m_memoserv, "MemoServ", "MEMOSERV")
+SERV_FUNC(m_seenserv, "SeenServ", "SEENSERV")
+SERV_FUNC(m_operserv, "OperServ", "OPERSERV")
+SERV_FUNC(m_statserv, "StatServ", "STATSERV")
+SERV_FUNC(m_helpserv, "HelpServ", "HELPSERV")
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_classlist.c ircby-0.5-RC3/contrib/m_classlist.c
--- ircd-hybrid-7.0.1/contrib/m_classlist.c	Wed May 21 23:26:44 2003
+++ ircby-0.5-RC3/contrib/m_classlist.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_classlist.c,v 1.1.2.3 2003/05/22 03:26:44 db Exp $
+ *  $Id: m_classlist.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -63,7 +63,7 @@
   mod_del_cmd(&classlist_msgtab);
 }
 
-const char *_version = "$Revision: 1.1.2.3 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_clearchan.c ircby-0.5-RC3/contrib/m_clearchan.c
--- ircd-hybrid-7.0.1/contrib/m_clearchan.c	Mon Jun 10 21:49:18 2002
+++ ircby-0.5-RC3/contrib/m_clearchan.c	Tue Mar 30 11:04:24 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_clearchan.c,v 1.30 2002/06/11 01:49:18 androsyn Exp $
+ *   $Id: m_clearchan.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "tools.h"
@@ -77,7 +77,7 @@
   mod_del_cmd(&clearchan_msgtab);
 }
 
-char *_version = "$Revision: 1.30 $";
+char *_version = "$Revision: 1.1.1.1 $";
 
 /*
 ** mo_clearchan
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_ctrace.c ircby-0.5-RC3/contrib/m_ctrace.c
--- ircd-hybrid-7.0.1/contrib/m_ctrace.c	Wed May 21 23:15:04 2003
+++ ircby-0.5-RC3/contrib/m_ctrace.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ctrace.c,v 1.1.2.2 2003/05/22 03:15:04 db Exp $
+ *  $Id: m_ctrace.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -65,7 +65,7 @@
   hook_del_event("doing_ctrace");
   mod_del_cmd(&ctrace_msgtab);
 }
-const char *_version = "$Revision: 1.1.2.2 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 static int report_this_status(struct Client *source_p, struct Client *target_p);
 
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_flags.c ircby-0.5-RC3/contrib/m_flags.c
--- ircd-hybrid-7.0.1/contrib/m_flags.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/m_flags.c	Tue Mar 30 11:04:24 2004
@@ -27,7 +27,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- *  $Id: m_flags.c,v 1.9 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: m_flags.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -77,7 +77,7 @@
   mod_del_cmd(&test_msgtab);
 }
 
-const char *_version = "$Revision: 1.9 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /* FLAGS requires it's own mini parser, since the last parameter in it can
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_force.c ircby-0.5-RC3/contrib/m_force.c
--- ircd-hybrid-7.0.1/contrib/m_force.c	Fri Nov  1 08:24:41 2002
+++ ircby-0.5-RC3/contrib/m_force.c	Tue Mar 30 11:04:24 2004
@@ -25,7 +25,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: m_force.c,v 1.17 2002/11/01 13:24:41 db Exp $
+ * $Id: m_force.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -78,7 +78,7 @@
   mod_del_cmd(&forcepart_msgtab);
 }
 
-char *_version = "$Revision: 1.17 $";
+char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_forcenick.c ircby-0.5-RC3/contrib/m_forcenick.c
--- ircd-hybrid-7.0.1/contrib/m_forcenick.c	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/contrib/m_forcenick.c	Tue Mar 30 11:04:24 2004
@@ -0,0 +1,148 @@
+/*
+ * m_forcenick.c
+ * Hybrid7 FORCENICK module
+ * Copyright (C) 2002 Dinko 'kreator' Korunic <kreator@srce.hr>
+ *
+ *  Redistribution and use in source and binary forms, with or without
+ *  modification, are permitted provided that the following conditions are
+ *  met:
+ *
+ *  1.Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  2.Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *  3.The name of the author may not be used to endorse or promote products
+ *    derived from this software without specific prior written permission.
+ *
+ *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ *  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ *  DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
+ *  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ *  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+ *  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ *  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+ *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ *  POSSIBILITY OF SUCH DAMAGE.
+ *
+ */
+
+#include "stdinc.h"
+#include "handlers.h"
+#include "client.h"
+#include "common.h"
+#include "ircd.h"
+#include "irc_string.h"
+#include "numeric.h"
+#include "fdlist.h"
+#include "hash.h"
+#include "s_bsd.h"
+#include "s_conf.h"
+#include "s_log.h"
+#include "s_serv.h"
+#include "send.h"
+#include "msg.h"
+#include "parse.h"
+#include "modules.h"
+#include "channel.h"
+#include "channel_mode.h"
+
+
+static void mo_forcenick(struct Client *client_p, struct Client *source_p,
+    int parc, char *parv[]);
+struct Message forcenick_msgtab = 
+{
+  "FORCENICK", 0, 0, 3, 0, MFLG_SLOW, 0,
+  {m_ignore, m_not_oper, mo_forcenick, mo_forcenick}
+};
+
+#ifndef STATIC_MODULES
+void
+_modinit(void)
+{
+  mod_add_cmd(&forcenick_msgtab);
+}
+
+void
+_moddeinit(void)
+{
+  mod_del_cmd(&forcenick_msgtab);
+}
+
+char *_version = "$Revision: 1.1.1.1 $";
+#endif
+
+/* is_nickname()
+ *
+ * input        - nickname
+ * output       - none
+ * side effects - walks through the nickname, returning 0 if erroneous
+ */
+static int is_nickname(char *nick)
+{
+  if (nick == NULL)
+    return 0;
+
+  /* nicks cant start with a digit or - or be 0 length */
+  /* This closer duplicates behaviour of hybrid-6 */
+  if (*nick == '-' || IsDigit(*nick) || *nick == '\0')
+    return 0;
+
+  for (; *nick; nick++)
+  {
+    if (!IsNickChar(*nick))
+      return 0;
+  }
+
+  return 1;
+}
+
+/*
+ * mo_forcenick()
+ *      parv[0] = sender prefix
+ *      parv[1] = user to force
+ *      parv[2] = nick to force them to
+ */
+static void mo_forcenick(struct Client *client_p, struct Client *source_p,
+    int parc, char *parv[])
+{
+  struct Client *target_p;
+
+  if (!is_nickname(parv[2]))
+  {
+    sendto_one(source_p,
+        ":%s NOTICE %s :*** Notice -- Invalid new nickname %s",
+        me.name, source_p->name, parv[2]);
+    return;
+  }
+
+  if (strlen(parv[2]) > NICKLEN - 1)
+    parv[2][NICKLEN - 1] = '\0';
+
+  if ((target_p = find_client(parv[1])) == NULL)
+  {
+    sendto_one(source_p,
+        ":%s NOTICE %s :*** Notice -- No such nickname %s",
+        me.name, source_p->name, parv[1]);
+    return;
+  }
+
+  if ((hunt_server(client_p, source_p, ":%s FORCENICK %s %s", 1, parc,
+          parv)) != HUNTED_ISME)
+    return;
+
+  if (!IsClient(target_p))
+    return;
+
+  if (find_client(parv[2]) != NULL)
+  {
+    sendto_one(source_p,
+        ":%s NOTICE %s :*** Notice -- Nickname %s is in use",
+        me.name, source_p->name, parv[2]);
+    return;
+  }
+
+  change_local_nick(target_p, target_p, parv[2]);
+}
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_jupe.c ircby-0.5-RC3/contrib/m_jupe.c
--- ircd-hybrid-7.0.1/contrib/m_jupe.c	Thu Oct 17 13:06:32 2002
+++ ircby-0.5-RC3/contrib/m_jupe.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_jupe.c,v 1.36 2002/10/17 17:06:32 bill Exp $
+ *  $Id: m_jupe.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -71,7 +71,7 @@
   mod_del_cmd(&jupe_msgtab);
 }
 
-const char *_version = "$Revision: 1.36 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_ltrace.c ircby-0.5-RC3/contrib/m_ltrace.c
--- ircd-hybrid-7.0.1/contrib/m_ltrace.c	Wed Jul 31 18:52:58 2002
+++ ircby-0.5-RC3/contrib/m_ltrace.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_ltrace.c,v 1.4 2002/07/31 22:52:58 leeh Exp $
+ *  $Id: m_ltrace.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -67,7 +67,7 @@
   mod_del_cmd(&ltrace_msgtab);
 }
 
-const char *_version = "$Revision: 1.4 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 static int report_this_status(struct Client *source_p, struct Client *target_p,int dow,
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_map.c ircby-0.5-RC3/contrib/m_map.c
--- ircd-hybrid-7.0.1/contrib/m_map.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/m_map.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_map.c,v 1.12 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: m_map.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -54,7 +54,7 @@
   mod_del_cmd(&map_msgtab);
 }
 
-const char *_version = "$Revision: 1.12 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 static char buf[BUFSIZE];
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_mkpasswd.c ircby-0.5-RC3/contrib/m_mkpasswd.c
--- ircd-hybrid-7.0.1/contrib/m_mkpasswd.c	Fri May 24 19:48:34 2002
+++ ircby-0.5-RC3/contrib/m_mkpasswd.c	Tue Mar 30 11:04:24 2004
@@ -6,7 +6,7 @@
  *
  *  You can use this code in any way as long as these names remain.
  *
- *  $Id: m_mkpasswd.c,v 1.9 2002/05/24 23:48:34 androsyn Exp $
+ *  $Id: m_mkpasswd.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /* List of ircd includes from ../include/ */
@@ -56,7 +56,7 @@
   mod_del_cmd(&test_msgtab);
 }
 
-const char *_version = "$Revision: 1.9 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 static void m_mkpasswd(struct Client *client_p, struct Client *source_p,
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_ojoin.c ircby-0.5-RC3/contrib/m_ojoin.c
--- ircd-hybrid-7.0.1/contrib/m_ojoin.c	Mon Jun 10 21:49:18 2002
+++ ircby-0.5-RC3/contrib/m_ojoin.c	Tue Mar 30 11:04:24 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_ojoin.c,v 1.11 2002/06/11 01:49:18 androsyn Exp $
+ *   $Id: m_ojoin.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -58,7 +58,7 @@
   mod_del_cmd(&ojoin_msgtab);
 }
 
-char *_version = "$Revision: 1.11 $";
+char *_version = "$Revision: 1.1.1.1 $";
 
 /*
 ** mo_ojoin
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_omotd.c ircby-0.5-RC3/contrib/m_omotd.c
--- ircd-hybrid-7.0.1/contrib/m_omotd.c	Thu May 22 00:13:55 2003
+++ ircby-0.5-RC3/contrib/m_omotd.c	Tue Mar 30 11:04:24 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_omotd.c,v 1.1.2.2 2003/05/22 04:13:55 db Exp $
+ *  $Id: m_omotd.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -63,7 +63,7 @@
   mod_del_cmd(&omotd_msgtab);
 }
 
-const char *_version = "$Revision: 1.1.2.2 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_operspy.c ircby-0.5-RC3/contrib/m_operspy.c
--- ircd-hybrid-7.0.1/contrib/m_operspy.c	Wed Mar 17 23:16:03 2004
+++ ircby-0.5-RC3/contrib/m_operspy.c	Tue Mar 30 11:04:24 2004
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_operspy.c,v 1.13.2.6 2004/03/18 04:16:03 bill Exp $
+ *   $Id: m_operspy.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 
 /***  PLEASE READ ME  ***/
@@ -135,7 +135,7 @@
 {
   mod_del_cmd(&operspy_msgtab);
 }
-const char *_version = "$Revision: 1.13.2.6 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 
 #ifdef OPERSPY_LOG
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/contrib/m_opme.c ircby-0.5-RC3/contrib/m_opme.c
--- ircd-hybrid-7.0.1/contrib/m_opme.c	Thu Sep 19 12:14:32 2002
+++ ircby-0.5-RC3/contrib/m_opme.c	Tue Mar 30 11:04:24 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_opme.c,v 1.28 2002/09/19 16:14:32 bill Exp $
+ *   $Id: m_opme.c,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
  */
 #include "stdinc.h"
 #include "tools.h"
@@ -57,7 +57,7 @@
   mod_del_cmd(&opme_msgtab);
 }
 
-char *_version = "$Revision: 1.28 $";
+char *_version = "$Revision: 1.1.1.1 $";
 
 static int chan_is_opless(struct Channel *chptr)
 {
